export function getlang(langkeys) {
  return {
    search: {
      placeholder: langkeys.search,
    },
    sort: {
      sortAsc: langkeys.sort_column_ascending,
      sortDesc: langkeys.sort_column_descending,
    },
    pagination: {
      previous: langkeys.previous,
      next: langkeys.next,
      navigate: (page, pages) =>
        `${langkeys.page} ${page} ${langkeys.of} ${pages}`,
      page: (page) => `${langkeys.page} ${page}`,
      showing: langkeys.showing,
      of: langkeys.of,
      to: langkeys.to,
      results: langkeys.records,
    },
    loading: langkeys.loading,
    noRecordsFound: langkeys.no_matching_records_found,
    error: langkeys.an_error_happened_while_fetching_the_data,
  };
}
